Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.conversation
Class ConversationParameters

    java.lang.Object
      org.springframework.webflow.conversation.ConversationParameters

All Implemented Interfaces:
  java.io.Serializable

    public class ConversationParameters

extends java.lang.Object
implements java.io.Serializable

Simple parameter object for clumping together input needed to begin a new conversation.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`ConversationParameters(java.lang.String name, java.lang.String caption, java.lang.String description)` Creates new conversation input parameters.

Method Summary
`java.lang.String` | `getCaption()` Returns the short description.
`java.lang.String` | `getDescription()` Returns the long description.
`java.lang.String` | `getName()` Returns the name of the conversation.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversationParameters

    public ConversationParameters(java.lang.String name,
                                  java.lang.String caption,
                                  java.lang.String description)

  Creates new conversation input parameters.

  Parameters:
    `name` - the name of the conversation
    `caption` - a short description
    `description` - a long description

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the conversation.

  Returns:
    the conversation name

### getCaption

    public java.lang.String getCaption()

  Returns the short description.

  Returns:
    the conversation caption

### getDescription

    public java.lang.String getDescription()

  Returns the long description.

  Returns:
    the description.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD